<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFrameworks>net5.0</TargetFrameworks>
    <ApplicationIcon>app.ico</ApplicationIcon>
    <PackAsTool>true</PackAsTool>
    <ToolCommandName>katteker-cli</ToolCommandName>
    <PackageOutputPath>../nupkg</PackageOutputPath>
    <AssemblyName>katteker-cli</AssemblyName>
    <Authors>Holger Börchers</Authors>
    <Product>Katteker Creator</Product>
    <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
    <Nullable>enable</Nullable>
    <LangVersion>latest</LangVersion>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <OutputPath>..\bin\Debug\</OutputPath>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <OutputPath>..\bin\Release\</OutputPath>
  </PropertyGroup>

  <ItemGroup>
    <Content Include="nsis\**\*.*">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <None Remove="contrib\AppStub.exe.config" />
    <None Remove="contrib\AppStub.pdb" />
  </ItemGroup>

  <ItemGroup>
    <Compile Include="..\Katteker\Types\KattekerConfig.cs" Link="Types\KattekerConfig.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Glob" Version="1.1.8" />
    <PackageReference Include="McMaster.Extensions.CommandLineUtils" Version="3.1.0" />
    <PackageReference Include="Vestris.ResourceLib" Version="2.1.0" />
    <PackageReference Include="YamlDotNet" Version="9.1.4" />
    <PackageReference Include="Serilog" Version="2.10.0" />
    <PackageReference Include="Serilog.Sinks.Console" Version="3.1.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\IconExtractor\IconExtractor.csproj" />
    <ProjectReference Include="..\Katteker\Katteker.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Service Include="{508349b6-6b84-4df5-91f0-309beebad82d}" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="SetupTemplate.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>SetupTemplate.tt</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <None Update="7zip\7za.exe">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="7zip\history.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="7zip\License.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="7zip\readme.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="contrib\app-stub.exe">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="contrib\LoadingBar_Icon.exe">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="contrib\signtool.exe">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="contrib\uninstall.ico">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="contrib\wait-for-process.exe">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="SetupTemplate.tt">
      <LastGenOutput>SetupTemplate.cs</LastGenOutput>
      <Generator>TextTemplatingFilePreprocessor</Generator>
    </None>
  </ItemGroup>
</Project>